"use strict";

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("@testing-library/react-native");

var _MaskedText = require("./MaskedText");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('<MaskedText />', () => {
  test('should renders correctly with custom mask', () => {
    const container = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_MaskedText.MaskedText, {
      mask: "AAA-999"
    }, "RCT777"));
    expect(container.getByText('RCT-777')).toBeTruthy();
    expect(container).toMatchSnapshot();
  });
  test('should renders correctly with currency mask', () => {
    const container = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_MaskedText.MaskedText, {
      type: "currency",
      options: {
        prefix: '$',
        decimalSeparator: '.',
        groupSeparator: ',',
        precision: 2
      }
    }, "5999"));
    expect(container.getByText('$59.99')).toBeTruthy();
    expect(container).toMatchSnapshot();
  });
});
//# sourceMappingURL=MaskedText.test.js.map